| OpenGLRaw-1.1.0.1: A raw binding for the OpenGL graphics system | Source code | Contents | Index

Graphics.Rendering.OpenGL.Raw.ARB.OcclusionQuery

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de

Contents

Functions
Tokens

Description
All raw functions and tokens from the ARB_occlusion_query extension, see http://www.opengl.org/registry/specs/ARB/occlusion_query.txt.
Synopsis

glGenQueries :: GLsizei -> Ptr GLuint -> IO ()
glDeleteQueries :: GLsizei -> Ptr GLuint -> IO ()
glIsQuery :: GLuint -> IO GLboolean
glBeginQuery :: GLenum -> GLuint -> IO ()
glEndQuery :: GLenum -> IO ()
glGetQueryiv :: GLenum -> GLenum -> Ptr GLint -> IO ()
glGetQueryObjectiv :: GLuint -> GLenum -> Ptr GLint -> IO ()
glGetQueryObjectuiv :: GLuint -> GLenum -> Ptr GLuint -> IO ()
gl_SAMPLES_PASSED :: GLenum
gl_QUERY_COUNTER_BITS :: GLenum
gl_CURRENT_QUERY :: GLenum
gl_QUERY_RESULT :: GLenum
gl_QUERY_RESULT_AVAILABLE :: GLenum

Functions

glGenQueries :: GLsizei -> Ptr GLuint -> IO () | Source

glDeleteQueries :: GLsizei -> Ptr GLuint -> IO () | Source

glIsQuery :: GLuint -> IO GLboolean | Source

glBeginQuery :: GLenum -> GLuint -> IO () | Source

glEndQuery :: GLenum -> IO () | Source

glGetQueryiv :: GLenum -> GLenum -> Ptr GLint -> IO () | Source

glGetQueryObjectiv :: GLuint -> GLenum -> Ptr GLint -> IO () | Source

glGetQueryObjectuiv :: GLuint -> GLenum -> Ptr GLuint -> IO () | Source

Tokens

gl_SAMPLES_PASSED :: GLenum | Source

gl_QUERY_COUNTER_BITS :: GLenum | Source

gl_CURRENT_QUERY :: GLenum | Source

gl_QUERY_RESULT :: GLenum | Source

gl_QUERY_RESULT_AVAILABLE :: GLenum | Source

Produced by Haddock version 2.4.2